Daemon Power

The NetBSD Packages Collection: graphics/x11rec

Brief description of the package:
Very ad hoc X11 recorder which create a movie

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://0xcc.net/x11rec/.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "graphics/x11rec" directory. The current source version of the package is "ruby26-x11rec-0.3nb22". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for graphics/x11rec :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: gifsicle-[0-9]* x11-links>=1.31 osabi-NetBSD-8.1_STABLE cwrappers>=20150314 ruby26-base-[0-9]* openssl>=1.1.1 libyaml>=0.1.1 openssl>=1.1.1dnb2 libyaml>=0.1.4 ImageMagick>=5.5.7.11nb1 pkgconf-[0-9]* openjpeg>=2.1.0 lcms2>=2.2 jpeg>=8nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=9 tiff>=4.0.3nb5 png>=1.2.4 png>=1.6.0nb1 liblqr>=0.4.1 glib2>=2.4.0 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 meson-[0-9]* ninja-build-[0-9]* python37>=3.7 libuuid>=2.18 readline>=2.2 readline>=6.0 python37>=3.7.0 re2c>=0.11.3 py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7.6 glib2>=2.34.0 libltdl>=2.4.2 fontconfig>=2.11.91 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 libwebp>=0.2.0 giflib>=5.2.1 fftw>=3.0 ghostscript>=8.63nb1 ghostscript-agpl-[0-9]* ghostscript-fonts>=6.0 perl>=5.0 freetype2>=2.10.0 libidn>=0.4.6 jbig2dec>=0.17 jbig2dec>=0.16 libpaper>=1.1.22 fontconfig>=2.13.0 libidn>=1.20nb1 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 liblqr>=0.4.1nb5 libltdl>=2.2.6 libwebp>=0.6.0 fftw>=3.1nb1 ghostscript>=9.05nb19 libxml2>=2.8.0nb2 ImageMagick>=7.0.8.55nb2 .

This package requires the following package(s) to run: gifsicle-[0-9]* ruby26-base-[0-9]* openssl>=1.1.1 libyaml>=0.1.1 openssl>=1.1.1dnb2 libyaml>=0.1.4 ImageMagick>=5.5.7.11nb1 pkgconf-[0-9]* openjpeg>=2.1.0 lcms2>=2.2 jpeg>=8nb1 tiff>=3.6.1 jbigkit>=2.0 jpeg>=9 tiff>=4.0.3nb5 png>=1.2.4 png>=1.6.0nb1 liblqr>=0.4.1 glib2>=2.4.0 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 glib2>=2.34.0 libltdl>=2.4.2 fontconfig>=2.11.91 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.1nb2 libwebp>=0.2.0 giflib>=5.2.1 fftw>=3.0 ghostscript>=8.63nb1 ghostscript-agpl-[0-9]* ghostscript-fonts>=6.0 perl>=5.0 freetype2>=2.10.0 libidn>=0.4.6 jbig2dec>=0.17 jbig2dec>=0.16 libpaper>=1.1.22 fontconfig>=2.13.0 libidn>=1.20nb1 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 liblqr>=0.4.1nb5 libltdl>=2.2.6 libwebp>=0.6.0 fftw>=3.1nb1 ghostscript>=9.05nb19 libxml2>=2.8.0nb2 ImageMagick>=7.0.8.55nb2 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:ruby24-x11rec-0.3nb22.tgz(NetBSD 8.0)
alpha:ruby25-x11rec-0.3nb22.tgz(NetBSD 8.0)
alpha:ruby26-x11rec-0.3nb22.tgz(NetBSD 8.0)
earm:ruby24-x11rec-0.3nb20.tgz(NetBSD 8.0)
earm:ruby25-x11rec-0.3nb20.tgz(NetBSD 8.0)
earm:ruby26-x11rec-0.3nb20.tgz(NetBSD 8.0)
earmv6hf:ruby24-x11rec-0.3nb22.tgz(NetBSD 8.0)
earmv6hf:ruby25-x11rec-0.3nb22.tgz(NetBSD 8.0)
earmv6hf:ruby26-x11rec-0.3nb22.tgz(NetBSD 8.0)
earmv6hf:ruby24-x11rec-0.3nb22.tgz(NetBSD 8.0)
earmv6hf:ruby25-x11rec-0.3nb22.tgz(NetBSD 8.0)
earmv6hf:ruby26-x11rec-0.3nb22.tgz(NetBSD 8.0)
earmv7hf:ruby24-x11rec-0.3nb22.tgz(NetBSD 8.0)
earmv7hf:ruby25-x11rec-0.3nb22.tgz(NetBSD 8.0)
earmv7hf:ruby26-x11rec-0.3nb22.tgz(NetBSD 8.0)
earmv7hf:ruby24-x11rec-0.3nb22.tgz(NetBSD 8.0)
earmv7hf:ruby25-x11rec-0.3nb22.tgz(NetBSD 8.0)
earmv7hf:ruby26-x11rec-0.3nb22.tgz(NetBSD 8.0)
i386:ruby24-x11rec-0.3nb22.tgz(NetBSD 7.0)
i386:ruby25-x11rec-0.3nb22.tgz(NetBSD 7.0)
i386:ruby23-x11rec-0.3nb20.tgz(NetBSD 7.0)
i386:ruby24-x11rec-0.3nb20.tgz(NetBSD 7.0)
i386:ruby25-x11rec-0.3nb20.tgz(NetBSD 7.0)
i386:ruby24-x11rec-0.3nb20.tgz(NetBSD 7.0)
i386:ruby25-x11rec-0.3nb20.tgz(NetBSD 7.0)
i386:ruby24-x11rec-0.3nb22.tgz(NetBSD 7.0)
i386:ruby25-x11rec-0.3nb22.tgz(NetBSD 7.0)
i386:ruby23-x11rec-0.3nb20.tgz(NetBSD 7.1)
i386:ruby24-x11rec-0.3nb20.tgz(NetBSD 7.1)
i386:ruby25-x11rec-0.3nb20.tgz(NetBSD 7.1)
i386:ruby24-x11rec-0.3nb20.tgz(NetBSD 7.1)
i386:ruby25-x11rec-0.3nb20.tgz(NetBSD 7.1)
i386:ruby24-x11rec-0.3nb22.tgz(NetBSD 7.1)
i386:ruby25-x11rec-0.3nb22.tgz(NetBSD 7.1)
i386:ruby24-x11rec-0.3nb22.tgz(NetBSD 7.1)
i386:ruby25-x11rec-0.3nb22.tgz(NetBSD 7.1)
i386:ruby23-x11rec-0.3nb20.tgz(NetBSD 8.0)
i386:ruby24-x11rec-0.3nb20.tgz(NetBSD 8.0)
i386:ruby25-x11rec-0.3nb20.tgz(NetBSD 8.0)
i386:ruby26-x11rec-0.3nb20.tgz(NetBSD 8.0)
i386:ruby24-x11rec-0.3nb20.tgz(NetBSD 8.0)
i386:ruby25-x11rec-0.3nb20.tgz(NetBSD 8.0)
i386:ruby26-x11rec-0.3nb20.tgz(NetBSD 8.0)
i386:ruby24-x11rec-0.3nb22.tgz(NetBSD 8.0)
i386:ruby25-x11rec-0.3nb22.tgz(NetBSD 8.0)
i386:ruby26-x11rec-0.3nb22.tgz(NetBSD 8.0)
i386:ruby24-x11rec-0.3nb22.tgz(NetBSD 8.0)
i386:ruby25-x11rec-0.3nb22.tgz(NetBSD 8.0)
i386:ruby26-x11rec-0.3nb22.tgz(NetBSD 8.0)
i386:ruby18-x11rec-0.3nb7.tgz(QNX 6.5.0)
i386:ruby19-x11rec-0.3nb7.tgz(QNX 6.5.0)
powerpc:ruby21-x11rec-0.3nb12.tgz(NetBSD 7.1)
powerpc:ruby22-x11rec-0.3nb12.tgz(NetBSD 7.1)
powerpc:ruby22-x11rec-0.3nb13.tgz(NetBSD 7.1)
powerpc:ruby22-x11rec-0.3nb15.tgz(NetBSD 7.1)
powerpc:ruby22-x11rec-0.3nb17.tgz(NetBSD 7.1)
powerpc:ruby22-x11rec-0.3nb19.tgz(NetBSD 7.1)
powerpc:ruby23-x11rec-0.3nb12.tgz(NetBSD 7.1)
powerpc:ruby23-x11rec-0.3nb13.tgz(NetBSD 7.1)
powerpc:ruby23-x11rec-0.3nb15.tgz(NetBSD 7.1)
powerpc:ruby23-x11rec-0.3nb17.tgz(NetBSD 7.1)
powerpc:ruby23-x11rec-0.3nb19.tgz(NetBSD 7.1)
powerpc:ruby24-x11rec-0.3nb12.tgz(NetBSD 7.1)
powerpc:ruby24-x11rec-0.3nb13.tgz(NetBSD 7.1)
powerpc:ruby24-x11rec-0.3nb15.tgz(NetBSD 7.1)
powerpc:ruby24-x11rec-0.3nb17.tgz(NetBSD 7.1)
powerpc:ruby24-x11rec-0.3nb19.tgz(NetBSD 7.1)
powerpc:ruby25-x11rec-0.3nb15.tgz(NetBSD 7.1)
powerpc:ruby25-x11rec-0.3nb17.tgz(NetBSD 7.1)
powerpc:ruby25-x11rec-0.3nb19.tgz(NetBSD 7.1)
powerpc:ruby24-x11rec-0.3nb22.tgz(NetBSD 8.0)
powerpc:ruby25-x11rec-0.3nb22.tgz(NetBSD 8.0)
powerpc:ruby26-x11rec-0.3nb22.tgz(NetBSD 8.0)
powerpc:ruby24-x11rec-0.3nb20.tgz(NetBSD 9.0)
powerpc:ruby25-x11rec-0.3nb20.tgz(NetBSD 9.0)
powerpc:ruby26-x11rec-0.3nb20.tgz(NetBSD 9.0)
sparc64:ruby22-x11rec-0.3nb17.tgz(NetBSD 7.1)
sparc64:ruby23-x11rec-0.3nb17.tgz(NetBSD 7.1)
sparc64:ruby24-x11rec-0.3nb17.tgz(NetBSD 7.1)
sparc64:ruby25-x11rec-0.3nb17.tgz(NetBSD 7.1)
sparc64:ruby24-x11rec-0.3nb22.tgz(NetBSD 8.0)
sparc64:ruby25-x11rec-0.3nb22.tgz(NetBSD 8.0)
sparc64:ruby26-x11rec-0.3nb22.tgz(NetBSD 8.0)
x86_64:ruby24-x11rec-0.3nb22.tgz(NetBSD 7.0)
x86_64:ruby25-x11rec-0.3nb22.tgz(NetBSD 7.0)
x86_64:ruby23-x11rec-0.3nb20.tgz(NetBSD 7.0)
x86_64:ruby24-x11rec-0.3nb20.tgz(NetBSD 7.0)
x86_64:ruby25-x11rec-0.3nb20.tgz(NetBSD 7.0)
x86_64:ruby24-x11rec-0.3nb20.tgz(NetBSD 7.0)
x86_64:ruby25-x11rec-0.3nb20.tgz(NetBSD 7.0)
x86_64:ruby24-x11rec-0.3nb22.tgz(NetBSD 7.0)
x86_64:ruby25-x11rec-0.3nb22.tgz(NetBSD 7.0)
x86_64:ruby24-x11rec-0.3nb22.tgz(NetBSD 7.1)
x86_64:ruby25-x11rec-0.3nb22.tgz(NetBSD 7.1)
x86_64:ruby23-x11rec-0.3nb20.tgz(NetBSD 7.1)
x86_64:ruby24-x11rec-0.3nb20.tgz(NetBSD 7.1)
x86_64:ruby25-x11rec-0.3nb20.tgz(NetBSD 7.1)
x86_64:ruby24-x11rec-0.3nb20.tgz(NetBSD 7.1)
x86_64:ruby25-x11rec-0.3nb20.tgz(NetBSD 7.1)
x86_64:ruby24-x11rec-0.3nb22.tgz(NetBSD 7.1)
x86_64:ruby25-x11rec-0.3nb22.tgz(NetBSD 7.1)
x86_64:ruby24-x11rec-0.3nb22.tgz(NetBSD 8.0)
x86_64:ruby25-x11rec-0.3nb22.tgz(NetBSD 8.0)
x86_64:ruby26-x11rec-0.3nb22.tgz(NetBSD 8.0)
x86_64:ruby23-x11rec-0.3nb20.tgz(NetBSD 8.0)
x86_64:ruby24-x11rec-0.3nb20.tgz(NetBSD 8.0)
x86_64:ruby25-x11rec-0.3nb20.tgz(NetBSD 8.0)
x86_64:ruby26-x11rec-0.3nb20.tgz(NetBSD 8.0)
x86_64:ruby24-x11rec-0.3nb20.tgz(NetBSD 8.0)
x86_64:ruby25-x11rec-0.3nb20.tgz(NetBSD 8.0)
x86_64:ruby26-x11rec-0.3nb20.tgz(NetBSD 8.0)
x86_64:ruby24-x11rec-0.3nb22.tgz(NetBSD 8.0)
x86_64:ruby25-x11rec-0.3nb22.tgz(NetBSD 8.0)
x86_64:ruby26-x11rec-0.3nb22.tgz(NetBSD 8.0)
x86_64:ruby24-x11rec-0.3nb22.tgz(NetBSD 9.0)
x86_64:ruby25-x11rec-0.3nb22.tgz(NetBSD 9.0)
x86_64:ruby26-x11rec-0.3nb22.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]